﻿Public Class frmSN
    Private ms_AssemblyName As String = ""

    Private Sub frmSN_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.Text = "WINSN ver.: " & Application.ProductVersion

        Me.txtPublishDir.Text = Application.StartupPath

    End Sub

    Private Sub cmdClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdClose.Click
        Application.Exit()
    End Sub

    Private Sub cmdOpenAssembly_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdOpenAssembly.Click
        Dim oFileDialog As New OpenFileDialog

        Cursor.Current = Cursors.WaitCursor
        txtAssemblyFile.Text = ""
        Try
            With oFileDialog
                .AutoUpgradeEnabled = True
                .DefaultExt = "dll"
                .Multiselect = False
                oFileDialog.Filter = "Assembly(dll)|*.dll"
                oFileDialog.Title = "Assembly öffnen"
                oFileDialog.ShowDialog(Me)
                If Len(.FileName) Then
                    If My.Computer.FileSystem.FileExists(.FileName) Then
                        'ab in die textbox
                        txtAssemblyFile.Text = .FileName
                        ms_AssemblyName = .SafeFileName
                        ms_AssemblyName = ms_AssemblyName.Remove(ms_AssemblyName.Length - 4, 4)
                    End If
                End If

            End With
        Catch ex As Exception

            MsgBox(ex.Message, MsgBoxStyle.Critical)
        End Try


        oFileDialog.Dispose()
    End Sub

    Private Sub cmdOpenPublishDir_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdOpenPublishDir.Click
        Dim oBrowseForFolder As New FolderBrowserDialog
        txtPublishDir.Text = ""
        Try
            With oBrowseForFolder
                .RootFolder = Environment.SpecialFolder.MyComputer
                .Description = "Publishverzeichnis wählen"
                .SelectedPath = Application.StartupPath
                If .ShowDialog(Me) = Windows.Forms.DialogResult.OK Then
                    If My.Computer.FileSystem.DirectoryExists(.SelectedPath.ToString) Then
                        txtPublishDir.Text = .SelectedPath.ToString
                    End If
                End If
            End With
        Catch ex As Exception
            MsgBox(ex.Message, MsgBoxStyle.Critical)
        End Try
        oBrowseForFolder.Dispose()
    End Sub

    Private Sub cmdCreateStrongName_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdCreateStrongName.Click
        'erzeugt den strongname der gewählten assembly dll
        Dim oProzess As New Process


        oProzess.StartInfo.WorkingDirectory = Application.StartupPath
        oProzess.StartInfo.FileName = "sn.exe"
        oProzess.StartInfo.ErrorDialog = True
        oProzess.StartInfo.Arguments = "-k " & ms_AssemblyName & ".snk"
        oProzess.Start()
        If Not oProzess.HasExited Then oProzess.Kill()


        oProzess.Dispose()
    End Sub
End Class
